Skip to main content
GET
/
api
/
v2
/
portfolios
/
{username}
/
copiers
Get current copier count and AUM tier for a public portfolio
curl --request GET \
  --url https://public-api.etoro.com/api/v2/portfolios/{username}/copiers \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>'
{
  "copiers": 42,
  "aumTier": 3,
  "aumTierDesc": "Gold"
}

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"1650ea9b-d3c8-4796-9a7c-0123d49fa2d7"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Path Parameters

username
string
required

Public eToro username.

Required string length: 1 - 50

Response

Current copiers snapshot for the requested portfolio.

Current copiers snapshot and AUM tier for portfolio display.

copiers
integer<int32>
required

Current number of copiers.

Required range: x >= 0
aumTier
integer<int32>
required

Assets-under-management tier level.

Required range: x >= 0
aumTierDesc
string | null

Human-readable AUM tier label; null when not provided upstream.